Bug 16141 - CleanBig theme dependency missing
CleanBig theme dependency missing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: enlightenment (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-13 21:23 EDT by Willem Riede
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-24 10:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Willem Riede 2000-08-13 21:23:55 EDT
Gnome complains bitterly when it starts that the CleanBig theme is missing.
If CleanBig should have been present, there should have been a rpm
dependency that made the upgrade procedure pull it in, or gnome should be
set up such that it silently falls back to default (no theme) appearance.
Comment 1 Dale Lovelace 2000-08-19 14:04:54 EDT
  This is an upgrade, yes? 

  What happens is your old config file specifies the theme to be "CleanBig"
which isn't included anymore.

  I think this is a problem with enlightenment, not gnome.
Comment 2 Willem Riede 2000-08-19 22:49:26 EDT
Yes, it is an upgrade (from 6.1).  If the upgrade removes CleanBig, it should
also remove dependencies on it from my config.
Comment 3 Jonathan Blandford 2000-08-21 17:51:10 EDT
the upgrade cannot possibly remove dependencies from your home dir.  It knows
nothing about it.  What if you have 1000 users mounted over NFS?  What if you
have your home in /foo/bar.  RPMS do _not_ touch users data. (-:
Comment 4 Willem Riede 2000-08-21 18:55:09 EDT
Point taken. But how did it (CleanBig) get in there in the first place?
I did not explicitely do that. It may not be practical to fix, but it is not
welcome to be confronted with a complaint that something went 
missing that I didn't even know was there in the first place!
And why was CleanBig removed if it was referenced? I didn't ask
for that either!
Comment 5 Matt Wilson 2000-08-24 10:07:46 EDT
This should be fixed with the desktop upgrade script fix, right?
Comment 6 Jonathan Blandford 2001-07-23 14:37:45 EDT
This was fixed, though the bug was never closed.  Closing now.

Note You need to log in before you can comment on or make changes to this bug.